Bug 72848 - CD read error results in ide-cd hosage
CD read error results in ide-cd hosage
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-28 07:51 EDT by Nils Philippsen
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 12:26:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "lspci -v" (3.68 KB, text/plain)
2002-08-28 08:33 EDT, Nils Philippsen
no flags Details

  None (edit)
Description Nils Philippsen 2002-08-28 07:51:11 EDT
Description of Problem:

When reading certain CD-ROMs (Oracle 9.2.0 CD 2), some IDE CD drives encounter
read errors which lead to a number of ATAPI resets. CDROM access seems to be
hosed afterwards.

Version-Release number of selected component (if applicable):

kernel-smp-2.4.9-e.8

How Reproducible:

Always (with all IDE-CDROMs tried)

Steps to Reproduce:
1. insert cdrom
2. 
3. 

Actual Results:

ATAPI errors:

--- 8< ---
hda: status timeout: status=0x80 { Busy }
hda: drive not ready for command
hda: ATAPI reset complete
hda: irq timeout: status=0x80 { Busy }
hda: ATAPI reset complete
hda: irq timeout: status=0x80 { Busy }
end_request: I/O error, dev 03:00 (hda), sector 0
--- >8 ---

Expected Results:

No errors, complete data on CD can be accessed.

Additional Information:
	
CD can be read without problems on a Yamaha CDRW-4260. Errors have been verified
on two virtually identical machines, as well as on a laptop (though that one is
running Red Hat Linux 7.3+errata, kernel-2.4.18-5), both without DMA enabled.

hdparm on AS:

--- 8< ---
[root@ls3131 root]# hdparm -i /dev/hda

/dev/hda:

 Model=SAMSUNG CD-ROM SN-124, FwRev=q008, SerialNo=
 Config={ SpinMotCtl Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4 
 DMA modes: sdma0 sdma1 sdma2 mdma0 mdma1 mdma2 udma0 udma1 *udma2 
 AdvancedPM=no

[root@ls3131 root]# hdparm /dev/hda

/dev/hda:
 HDIO_GET_MULTCOUNT failed: Invalid argument
 I/O support  =  0 (default 16-bit)
 unmaskirq    =  0 (off)
 using_dma    =  1 (on)
 keepsettings =  0 (off)
 HDIO_GET_NOWERR failed: Invalid argument
 readonly     =  1 (on)
 readahead    =  8 (on)
 HDIO_GETGEO_BIG failed: Invalid argument
--- >8 ---
Comment 1 Nils Philippsen 2002-08-28 08:33:49 EDT
Created attachment 73509 [details]
Output of "lspci -v"
Comment 2 Nils Philippsen 2002-08-28 08:39:15 EDT
> Steps to Reproduce:
> 1. insert cdrom
> 2. 
> 3. 

Hrm, should read like this:

Steps to Reproduce:
1. insert cdrom
2. mount cdrom
3. find /mnt/cdrom | xargs cat > /dev/null
4. watch ATAPI errors in dmesg/syslog

Just for reference: SuSE's k_smp-2.4.18-134 completely hangs on that, so we're
not that bad here ;-)
Comment 3 Larry Woodman 2005-09-28 12:26:05 EDT
We cant fix this at this point in the AS2.1 lifecycle.  

Larry Woodman

Note You need to log in before you can comment on or make changes to this bug.